Subject: Re: bug#22414: 24.5; GNUS - No such function: nnregistry-request-group

From: Björn Bidar <[email-masked]>
Date: Mon, 20 Jan 2025 04:25:00 +0200

Hello,

I faced this issue recently too. I found the other bug too.
In my case it was triggered using sparse threads.

I think the issue is caused by having nnregistry in gnus-refer-article-methods.

In my case gnus-request-article-this-buffer tries to request the article doesn't find it in any other methods
and then tries to look in gnus-refer-article-methods.
Where it will hit nnregistry which is then called in  gnus-check-group-server when it calls the inlined
gnus-get-function: ~(gnus-get-function gnus-command-method 'request-group)~.

Lars Ingebrigtsen <[email-masked]> writes:

> Live System User <[email-masked]> writes:
>
>> While executing a function to do the following commands:
>>
>>   (gnus-summary-refer-references)
>>   (gnus-summary-top-thread)
>>   (gnus-summary-refer-thread)
>>
>> I get the error:
>>
>>  "No such function: nnregistry-request-group
>
> Set debug-on-error, repeat the bug and post the backtrace.

My backtrace:
Debugger entered--Lisp error: (error "No such function: nnregistry-request-group")
error("No such function: %s" nnregistry-request-group)
gnus-request-group("nnimap+thaodan.de:Emacs.Gnus" t)
gnus-check-group-server()
gnus-request-article-this-buffer(-2 "nnimap+thaodan.de:Emacs.Gnus")
gnus-article-prepare(-2 nil)
gnus-summary-display-article(-2 nil)
gnus-summary-select-article(nil nil pseudo)
gnus-summary-scroll-up(1)
funcall-interactively(gnus-summary-scroll-up 1)
command-execute(gnus-summary-scroll-up)